CREATE DATABASE  IF NOT EXISTS `testdb` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `testdb`;
-- MySQL dump 10.13  Distrib 5.6.24, for Win64 (x86_64)
--
-- Host: localhost    Database: testdb
-- ------------------------------------------------------
-- Server version	5.6.27-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `collecteddata_t`
--

DROP TABLE IF EXISTS `collecteddata_t`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `collecteddata_t` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `devicedataitem` int(11) NOT NULL,
  `value` varchar(512) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `devicedataitem_fk` FOREIGN KEY (`id`) REFERENCES `devicedataitem_t` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `collecteddata_t`
--

LOCK TABLES `collecteddata_t` WRITE;
/*!40000 ALTER TABLE `collecteddata_t` DISABLE KEYS */;
/*!40000 ALTER TABLE `collecteddata_t` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dataitem_t`
--

DROP TABLE IF EXISTS `dataitem_t`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dataitem_t` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `oid` varchar(128) NOT NULL,
  `description` varchar(45) NOT NULL,
  `handling` varchar(45) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `oid_UNIQUE` (`oid`),
  UNIQUE KEY `description_UNIQUE` (`description`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dataitem_t`
--

LOCK TABLES `dataitem_t` WRITE;
/*!40000 ALTER TABLE `dataitem_t` DISABLE KEYS */;
/*!40000 ALTER TABLE `dataitem_t` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `device_t`
--

DROP TABLE IF EXISTS `device_t`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `device_t` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address` varchar(45) NOT NULL,
  `community` varchar(45) NOT NULL,
  `period` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `address_UNIQUE` (`address`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `device_t`
--

LOCK TABLES `device_t` WRITE;
/*!40000 ALTER TABLE `device_t` DISABLE KEYS */;
/*!40000 ALTER TABLE `device_t` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `devicedataitem_t`
--

DROP TABLE IF EXISTS `devicedataitem_t`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `devicedataitem_t` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `device` int(11) NOT NULL,
  `dataitem` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `device_fk` FOREIGN KEY (`id`) REFERENCES `device_t` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `devicedataitem_t`
--

LOCK TABLES `devicedataitem_t` WRITE;
/*!40000 ALTER TABLE `devicedataitem_t` DISABLE KEYS */;
/*!40000 ALTER TABLE `devicedataitem_t` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testtable`
--

DROP TABLE IF EXISTS `testtable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `testtable` (
  `id` int(11) NOT NULL,
  `text` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testtable`
--

LOCK TABLES `testtable` WRITE;
/*!40000 ALTER TABLE `testtable` DISABLE KEYS */;
INSERT INTO `testtable` VALUES (0,'test0'),(1,'test1');
/*!40000 ALTER TABLE `testtable` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-10-08 18:03:06
