﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Snmp2Mysql
{


    class Program
    {
        static void Main(string[] args)
        {
            string dbConnStr = "SERVER=localhost;" +
                               "DATABASE=statsdb;" +
                               "UID=statsuser;" +
                               "PASSWORD=test123;";
            DatabaseLink dbLink = new DatabaseLink(dbConnStr);
            using (DataCollector dc = dbLink.DataCollector)
            using (DeviceProvider dp = dbLink.DeviceProvider)
            {
                foreach (DeviceTuple dt in dp)
                {
                    // Console.WriteLine("dt: {0}, {1}", dt.DeviceAddress, dt.Community);

                    using (SnmpGetter snmpGetter = new SnmpGetter(dt.Community, dt.DeviceAddress))
                    {
                        using (DeviceDataItemProvider ddip = dt.DeviceDataItemProvider)
                        {
                            foreach (DeviceDataItemTuple ddit in dt.DeviceDataItemProvider)
                            {
                                // Console.WriteLine("  ddit: {0}, {1}", ddit.Id, ddit.Oid);
                                snmpGetter.AddOid(ddit.Id, ddit.Oid);
                            }
                        }

						try 
						{
                        	SnmpGetterResultProvider res = snmpGetter.Exec();
                        	foreach (SnmpGetterResult r in res)
                        	{
								Console.WriteLine("{0} {1} {2} {3}: {4}", dt.Description, r.Index, r.Oid, r.Type, r.Value);
                            	dc.add((int)r.Index, r.Value);
                        	}
						} 
						catch (SnmpGetterException e) {
							Console.WriteLine ("{0}, no result: {1}", dt.Description, e.Message);
						}
                    }
                }
            }
        }
    }
}
